Subject: Re: [pim] [Editorial Errata Reported] RFC3376 (5562)
From: "Mankamana Mishra (mankamis)" <[email-masked]>
To: Alvaro Retana <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Tue, 27 Nov 2018 20:41:17 +0000
List-Id: Protocol Independent Multicast <pim.ietf.org>

May be "first set" would be good to use if we plan to edit.

 But without even change, is it not clear enough that we are talking about 2nd set in EXCLUDE mode which would be INCLUDE mode list ?

Mankamana

On Nov 27, 2018, at 12:30 PM, Alvaro Retana <[email-masked]<mailto:[email-masked]>> wrote:

Dear WG:

Any thoughts?

At first glance, it looks like there may be an editorial error.  Do you agree?  If so, which should it be: “…two different sets…” or “…the first set…”?

Thanks!

Alvaro.

On November 26, 2018 at 1:36:38 AM, RFC Errata System ([email-masked]<mailto:[email-masked]>) wrote:

The following errata report has been submitted for RFC3376,
"Internet Group Management Protocol, Version 3".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5562

--------------------------------------
Type: Editorial
Reported by: Wim De Smet <[email-masked]<mailto:[email-masked]>>

Section: 6.2.1

Original Text
-------------

When a router filter-mode for a group is EXCLUDE, the source record
list contains two types of sources. The first type is the set which
represents conflicts in the desired reception state; this set must be
forwarded by some router on the network. The second type is the set
of sources which hosts have requested to not be forwarded. Appendix
A describes the reasons for keeping this second set when in EXCLUDE
mode.

Corrected Text
--------------
[see note]

Notes
-----
Appendix A.3 contains the following:
One of the ways to accomplish this is for routers to keep track of
all sources desired by hosts that are in INCLUDE mode even though the
router itself is in EXCLUDE mode.

Appendix A.3 makes clear that in EXCLUDE mode we need to keep track of the set of hosts that *are* desired (i.e. set A in section 6.4 or the "first type" in this paragraph). The second set (set B in section 6.4) is the set that will be reported to upstream routers, it is not the set which is needed for smooth switching to INCLUDE mode (the behavior described in appendix A). I believe that the intended description may have been "Appendix A describes the reasons for keeping two different sets when in EXCLUDE mode". At the very least, it appears to be set A (the "first set") which is intended in appendix A.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party
can log in to change the status and edit the report, if necessary.

--------------------------------------
RFC3376 (draft-ietf-idmr-igmp-v3-11)
--------------------------------------
Title : Internet Group Management Protocol, Version 3
Publication Date : October 2002
Author(s) : B. Cain, S. Deering, I. Kouvelas, B. Fenner, A. Thyagarajan
Category : PROPOSED STANDARD
Source : Inter-Domain Multicast Routing
Area : Routing
Stream : IETF
Verifying Party : IESG
_______________________________________________
pim mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pim